libfreehand::FHPath Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHPath Class Reference

`#include <FHPath.h>`

Inheritance diagram for libfreehand::FHPath:

## Public Member Functions
| FHPath ()
| FHPath (const FHPath &path)
| ~FHPath ()
FHPath & | operator= (const FHPath &path)
void | appendMoveTo (double x, double y)
void | appendLineTo (double x, double y)
void | appendCubicBezierTo (double x1, double y1, double x2, double y2, double x, double y)
void | appendQuadraticBezierTo (double x1, double y1, double x, double y)
void | appendArcTo (double rx, double ry, double rotation, bool longAngle, bool sweep, double x, double y)
void | appendClosePath ()
void | appendPath (const FHPath &path)
void | setXFormId (unsigned xFormId)
void | setGraphicStyleId (unsigned graphicStyleId)
void | setEvenOdd (bool evenOdd)
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const FHTransform &trafo)
FHPathElement * | clone ()
void | getBoundingBox (double x0, double y0, double &xmin, double &ymin, double &xmax, double &ymax) const
double | getX () const
double | getY () const
void | clear ()
bool | empty () const
bool | isClosed () const
unsigned | getXFormId () const
unsigned | getGraphicStyleId () const
bool | getEvenOdd () const
void | getBoundingBox (double &xmin, double &ymin, double &xmax, double &ymax) const
Public Member Functions inherited from libfreehand::FHPathElement
| FHPathElement ()
virtual | ~FHPathElement ()

## Private Attributes
std::vector< FHPathElement * > | m_elements
bool | m_isClosed
unsigned | m_xFormId
unsigned | m_graphicStyleId
bool | m_evenOdd

## Constructor & Destructor Documentation

libfreehand::FHPath::FHPath | ( |  | ) |
| inline

Referenced by clone().

libfreehand::FHPath::FHPath | ( | const FHPath & | path | ) |

libfreehand::FHPath::~FHPath | ( |  | ) |

## Member Function Documentation

void libfreehand::FHPath::appendArcTo | ( | double | rx,
|  | double | ry,
|  | double | rotation,
|  | bool | longAngle,
|  | bool | sweep,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval().

void libfreehand::FHPath::appendClosePath | ( |  | ) |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::appendCubicBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readPath().

void libfreehand::FHPath::appendLineTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::appendMoveTo | ( | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::appendPath | ( | const FHPath & | path | ) |

Referenced by libfreehand::FHCollector::_getBBofCompositePath(), and libfreehand::FHCollector::_outputCompositePath().

void libfreehand::FHPath::appendQuadraticBezierTo | ( | double | x1,
|  | double | y1,
|  | double | x,
|  | double | y
| ) |  |

Referenced by libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::clear | ( |  | ) |

Referenced by operator=(), and ~FHPath().

libfreehand::FHPathElement * libfreehand::FHPath::clone | ( |  | ) |
| virtual

Implements libfreehand::FHPathElement.

bool libfreehand::FHPath::empty | ( |  | ) | const

Referenced by libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_outputPath(), getX(), getY(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::getBoundingBox | ( | double | x0,
|  | double | y0,
|  | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const
| virtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputPath(), and getBoundingBox().

void libfreehand::FHPath::getBoundingBox | ( | double & | xmin,
|  | double & | ymin,
|  | double & | xmax,
|  | double & | ymax
| ) |  | const

bool libfreehand::FHPath::getEvenOdd | ( |  | ) | const

Referenced by libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

unsigned libfreehand::FHPath::getGraphicStyleId | ( |  | ) | const

Referenced by libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_outputClipGroup(), libfreehand::FHCollector::_outputCompositePath(), and libfreehand::FHCollector::_outputPath().

double libfreehand::FHPath::getX | ( |  | ) | const
| virtual

Implements libfreehand::FHPathElement.

unsigned libfreehand::FHPath::getXFormId | ( |  | ) | const

Referenced by libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

double libfreehand::FHPath::getY | ( |  | ) | const
| virtual

Implements libfreehand::FHPathElement.

bool libfreehand::FHPath::isClosed | ( |  | ) | const

Referenced by libfreehand::FHCollector::_outputPath().

libfreehand::FHPath & libfreehand::FHPath::operator= | ( | const FHPath & | path | ) |

void libfreehand::FHPath::setEvenOdd | ( | bool | evenOdd | ) |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::setGraphicStyleId | ( | unsigned | graphicStyleId | ) |

Referenced by libfreehand::FHCollector::_getBBofCompositePath(), libfreehand::FHCollector::_outputCompositePath(), libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::setXFormId | ( | unsigned | xFormId | ) |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHPath::transform | ( | const FHTransform & | trafo | ) |
| virtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHCollector::_getBBofPath(), libfreehand::FHCollector::_normalizePath(), libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

void libfreehand::FHPath::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libfreehand::FHPathElement.

Referenced by libfreehand::FHCollector::_outputClipGroup(), and libfreehand::FHCollector::_outputPath().

## Member Data Documentation

std::vector<FHPathElement *> libfreehand::FHPath::m_elements
| private

Referenced by appendPath(), clear(), empty(), FHPath(), getBoundingBox(), getX(), getY(), operator=(), transform(), and writeOut().

bool libfreehand::FHPath::m_evenOdd
| private

Referenced by getEvenOdd(), and setEvenOdd().

unsigned libfreehand::FHPath::m_graphicStyleId
| private

Referenced by clear(), getGraphicStyleId(), operator=(), and setGraphicStyleId().

bool libfreehand::FHPath::m_isClosed
| private

Referenced by clear(), isClosed(), and operator=().

unsigned libfreehand::FHPath::m_xFormId
| private

Referenced by clear(), getXFormId(), operator=(), and setXFormId().

The documentation for this class was generated from the following files:

- FHPath.h
- FHPath.cpp